# The Uninstall Materials Plugin for GLPI

[![License](https://img.shields.io/github/license/pluginsGLPI/uninstall.svg?&label=License)](https://github.com/pluginsGLPI/uninstall/blob/develop/LICENSE)
[![Follow twitter](https://img.shields.io/twitter/follow/Teclib.svg?style=social&label=Twitter&style=flat-square)](https://twitter.com/teclib)
[![Telegram Group](https://img.shields.io/badge/Telegram-Group-blue.svg)](https://t.me/glpien)
[![Project Status: Active](http://www.repostatus.org/badges/latest/active.svg)](http://www.repostatus.org/#active)
[![GitHub release](https://img.shields.io/github/release/pluginsGLPI/uninstall.svg)](https://github.com/pluginsGLPI/uninstall/releases)
[![GitHub build](https://travis-ci.org/pluginsGLPI/uninstall.svg?)](https://travis-ci.org/pluginsGLPI/uninstall/)

![Screenshot](./uninstall.gif)

This plugin, called "uninstall", can remove inventory equipment. It was designed, among other things, to address the following cases:

* designate inventory materials as scrap
* removing inventory due to a temporary hardware failure
* replace material by another in the warranty process for example.

The plugin includes:

* rights management directly accessible from Administration ? Profiles (in the Uninstall tab ? Plugins)
* a menu "Uninstall materials" in "Plugins"
* a menu "deinstallation" in user preferences


## Documentation

We maintain a detailed documentation here -> [Documentation](https://glpi-plugins.readthedocs.io/en/latest/uninstall/index.html)

## Contact

For notices about major changes and general discussion of uninstall, subscribe to the [/r/glpi](https://www.reddit.com/r/glpi/) subreddit.
You can also chat with us via [@glpi on Telegram](https://t.me/glpien).

## Professional Services

![GLPI Network](./glpi_network.png "GLPI network")

The GLPI Network services are available through our [Partner's Network](http://www.teclib-edition.com/en/partners/). We provide special training, bug fixes with editor subscription, contributions for new features, and more.

Obtain a personalized service experience, associated with benefits and opportunities.

## Contributing

* Open a ticket for each bug/feature so it can be discussed
* Follow [development guidelines](http://glpi-developer-documentation.readthedocs.io/en/latest/plugins/index.html)
* Refer to [GitFlow](http://git-flow.readthedocs.io/) process for branching
* Work on a new branch on your own fork
* Open a PR that will be reviewed by a developer

## Copying

* **Code**: you can redistribute it and/or modify
    it under the terms of the GNU General Public License ([GPL-2.0](https://www.gnu.org/licenses/gpl-2.0.en.html)).

